Subject: King size bed set
From: Becca Grissett <[email-masked]>
To: [email-masked]
Date: Sun, 16 Mar 2025 12:04:53 -0400

I ordered a king size bed set from Amazon and I finally opened the package
to put the new set on my bed. The outside of the package says king. But the
sheet set I side is too small and the tag says F for Full. The window has
closed for me to return. To amazon. Can you please advise if the correct
sheet set can be sent to me?

Thanks,
Becca Grissett